Subject: [PATCH net-next 0/4] selftests: mlxsw: Convert to iproute2 dcb

From: Petr Machata <[email-masked]>
Date: Mon, 30 Jan 2023 17:40:00 +0100

There is a dedicated tool for configuration of DCB in iproute2. Use it
in the selftests instead of lldpad.

Patches #1-#3 convert three tests. Patch #4 drops the now-unnecessary
lldpad helpers.

Petr Machata (4):
  selftests: mlxsw: qos_dscp_bridge: Convert from lldptool to dcb
  selftests: mlxsw: qos_dscp_router: Convert from lldptool to dcb
  selftests: mlxsw: qos_defprio: Convert from lldptool to dcb
  selftests: net: forwarding: lib: Drop lldpad_app_wait_set(), _del()

 .../drivers/net/mlxsw/qos_defprio.sh          | 68 +++++--------------
 .../drivers/net/mlxsw/qos_dscp_bridge.sh      | 23 ++-----
 .../drivers/net/mlxsw/qos_dscp_router.sh      | 27 ++------
 tools/testing/selftests/net/forwarding/lib.sh | 21 ------
 4 files changed, 27 insertions(+), 112 deletions(-)

-- 
2.39.0